<?php
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Title Box 
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	
	$item_css.=
reza_custom_var('--rd-tbox-main-bg',reza_option_2('title_box_main_color','background')). 
reza_custom_var('--rd-tbox-main-txt',reza_option_2('title_box_main_color','text')).
reza_custom_var_font_typo('--rd-tbox-main','title_box_main_typo').   
reza_custom_var('--rd-tbox-tab-bg',reza_option_2('title_box_tab_color','background')).
reza_custom_var('--rd-tbox-tab-txt',reza_option_2('title_box_tab_color','text')).
reza_custom_var_font_typo('--rd-tbox-tab','title_box_tab_typo').   	
reza_custom_var('--rd-tbox-atv-bg',reza_option_2('title_box_active_color','background')).
reza_custom_var('--rd-tbox-atv-txt',reza_option_2('title_box_active_color','text')).
reza_custom_var('--rd-tbox-br-cr',reza_option('title_box_border_color')).  
reza_custom_var('--rd-tbox-rd',reza_option('title_box_radius'));
    	
 
 
 	 
/*****************************************************************************************************************************************************
******************************************************************************************************************************************************
 
																	Title Box 
 
*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	 
 
 
 
 
 
	$item_css.=
			reza_custom_var('--rd-post-bg',reza_option('post_background_color')).
 			reza_custom_var('--rd-post-tl-lk',reza_option_2('post_title_color','link')).
			reza_custom_var('--rd-post-tl-hv-lk',reza_option_2('post_title_color','hover')).
			
			reza_custom_var('--rd-price-ma',reza_option_2('price_color','main')).
			reza_custom_var('--rd-price-sa',reza_option_2('price_color','sale')).
			reza_custom_var('--rd-price-re',reza_option_2('price_color','regular')).
			
			reza_custom_var('--rd-expt-txt',reza_option('post_excerpt_color')).
			reza_custom_var('--rd-meta-txt',reza_option('post_meta_color')).
			reza_custom_var('--rd-aw-txt',reza_option_2('arrow_color','arrow')).
			reza_custom_var('--rd-aw-bg',reza_option_2('arrow_color','background')).
 
 
			reza_custom_var('--rd-rat-rat-cr',reza_option_2('rating_color','rating')).
			reza_custom_var('--rd-rat-no-cr',reza_option_2('rating_color','none')).
			
			reza_custom_var('--rd-featured-bg',reza_option_2('featured_color','background')).
			reza_custom_var('--rd-featured-txt',reza_option_2('featured_color','text')).
			reza_custom_var_shadow_size('--rd-post-sd-sz',reza_option('box_border_size')).
 			reza_custom_var('--rd-post-sd',reza_option('box_border_color')).
   			reza_custom_var('--rd-post-hv-sd',reza_rgba2hex(reza_option('box_border_color'))).

 
  			reza_custom_var_font_typo_mini('--rd-post-tl','post_title_typo').
  			reza_custom_var_font_typo_mini('--rd-product-tl','product_title_typo').
			 
 			reza_custom_var_font_typo_mini('--rd-expt','post_excerpt_typo').
 			reza_custom_var_font_typo_mini('--rd-meta','post_meta_typo').
			reza_custom_var_font_typo_mini('--rd-read','read_more_typo').  	
			reza_custom_var_font_typo_mini('--rd-more','more_posts_typo').  	
reza_custom_var_font_typo_size('--rd-h1','h1_typo'). 	
 			reza_custom_var_font_typo_size('--rd-h2','h2_typo'). 	
 			reza_custom_var_font_typo_size('--rd-h3','h3_typo'). 	
 			reza_custom_var_font_typo_size('--rd-h4','h4_typo'). 	
 			reza_custom_var_font_typo_size('--rd-h5','h5_typo'). 	
 			reza_custom_var_font_typo_size('--rd-h6','h6_typo'). 	
			reza_custom_var_font_typo_size('--rd-article','article_typo');	
	 
	
	 if(reza_option('image_cover')=='style-1'){
		 
	 	$item_css.='--rd-post-img-br:1px solid var(--rd-main-br-cr);';	
			
	 }if(reza_option('image_cover')=='style-2'){
		 
	 	$item_css.='--rd-post-img-br:2px solid var(--rd-main-br-cr);';
				
	 }else if(reza_option('image_cover')=='style-3'){
	 	$item_css.='--rd-post-img-br:3px solid var(--rd-post-bg);--rd-post-img-sd:1px;';		
	 }else if(reza_option('image_cover')=='style-4'){
	 	$item_css.='--rd-post-img-br:3px solid var(--rd-post-bg);--rd-post-img-sd:3px;';		
	 }
	 
	 
	$item_css.=
			reza_custom_var('--rd-cap-bg',reza_option('caption_background_color')).
			reza_custom_var('--rd-cap-txt',reza_option('caption_color')).
			reza_custom_var('--rd-cap-expt-txt',reza_hex2rgbacolor(reza_option('caption_color'),0.7)).
			reza_custom_var('--rd-cap-meta-txt',reza_hex2rgbacolor(reza_option('caption_color'),0.5)).
			reza_custom_var('--rd-cap-br-cr',reza_hex2rgbacolor(reza_option('caption_color'),0.25));
			
			
	$blog_css =reza_custom_var_meta('blog');
	$single_css =reza_custom_var_meta('single');
	$portfolio_css =reza_custom_var_meta('portfolio');
		
	$price_pos = !empty(get_option( 'woocommerce_currency_pos'))?get_option( 'woocommerce_currency_pos'):'';	
			
	$item_css.=reza_custom_var('--rd-gl-item',reza_option('single_product_gallery_item'));		
			
	if($price_pos =='left'){
		$item_css.=  '--rd-price-pos:left;';
	}elseif($price_pos =='right'){
		$item_css.=  '--rd-price-pos:right;';
	}elseif($price_pos =='left_space'){
		$item_css.=  '--rd-price-pos:left;--rd-price-sp:0px 5px 0px 0px;';
	}elseif($price_pos =='right_space'){
		$item_css.=  '--rd-price-pos:right;--rd-price-sp: 0px 0px 0px 5px;';
	} 		